
pdfDocument = {
{BEGIN backgroundImage}
	background: {
		image: {$backgroundImage},
		{BEGIN bgWidth}
		imgWidth: {$bgWidth},
		imgHeight: {$bgHeight},
		{END bgWidth}
	},
{END backgroundImage}
	styles: {
				bodycell: {
			fontSize:12,
		},
		headcell: {
			fontSize:12,
			bold: true
		},

	
	},
	defaultStyle: {
		fontSize: 14,
	},
	"content": [
								
{
	table: {
	
				
		location: 'top',
		
		
		widths: [
								"*", 
					 ],	
		
	
		body: [
				
				[
																{
	cellId: 'c1',
	col:0,
	row:0,
		
		
	//	static colspan/rowspan
		
			
	
	
			"text": [
		
				
			{"text":"{$jspagetitlelabel trucks search}","hidden":"{$item_hide_search_header}","fontSize":30},
				
		  ],
  "border": [ false, false, false, false ],
              "alignment": 'left',
  },

											],
		
		]
	}
}
,
		
								
{
	table: {
	
				
		location: 'above-grid',
		
		
		widths: [
								"*", 
											"*", 
					 ],	
		
	
		body: [
				
				[
																{
	cellId: 'c1',
	col:0,
	row:0,
		
		
	//	static colspan/rowspan
					colSpan: 2,
		
			
	
	
			"text": [
		
				'',
	  ],
  "border": [ false, false, false, false ],
              "alignment": 'left',
  },

																		{ 
				cellId: 'c1',
				row:  0,
				col:  1,
				text: ''
			},
							],
		
		]
	}
}
,
		
								
{
	table: {
	
				tableForm: true,
				
		location: 'grid',
		
		
		widths: [
									{BEGIN col_grid_0}
						"*", 
							{END col_grid_0}
					 ],	
		
			heights: [
								{BEGIN row_grid_0}
						
			"%",
						{END row_grid_0}
			 
				],
	
		body: [
				
				{BEGIN row_grid_0}
				[
																{BEGIN cellblock_grid_c3}
{
	cellId: 'c3',
	col:0,
	row:0,
		
		
	//	dynamic colspan/rowspan

		
						
	
	
	
			"stack": [
		
				
			{"text":{$id_pdfvalue},"hidden":"{$item_hide_integrated_search_field}"},
				
				
			{"text":{$current_lat_pdfvalue},"hidden":"{$item_hide_integrated_search_field1}"},
				
				
			{"text":{$current_long_pdfvalue},"hidden":"{$item_hide_integrated_search_field2}"},
				
				
			{"text":{$driver_id_pdfvalue},"hidden":"{$item_hide_integrated_search_field3}"},
				
				
			{"text":{$truck_plate_no_pdfvalue},"hidden":"{$item_hide_integrated_search_field4}"},
				
				
			{"text":{$truck_type_pdfvalue},"hidden":"{$item_hide_integrated_search_field5}"},
				
				
			{"text":{$mapa_pdfvalue},"hidden":"{$item_hide_integrated_search_field6}"},
				
				
			{"text":{$logistics_id_pdfvalue},"hidden":"{$item_hide_integrated_search_field7}"},
				
				
			{"text":{$DeliveryTrackHistory_pdfvalue},"hidden":"{$item_hide_integrated_search_field8}"},
				
				
			{"text":{$group_id_pdfvalue},"hidden":"{$item_hide_integrated_search_field9}"},
				
		  ],
  "border": [ false, false, false, false ],
              "alignment": 'left',
  },

{END cellblock_grid_c3}
											],
				{END row_grid_0}
		
		]
	}
}
,
		
								
{
	table: {
	
				
		location: 'below-grid',
		
		
		widths: [
								"*", 
					 ],	
		
	
		body: [
				
				[
																{
	cellId: 'c1',
	col:0,
	row:0,
		
		
	//	static colspan/rowspan
		
			
	
	
			"text": [
		
				
			{"text":""},
				
				
			{"text":""},
				
				
			{"text":"","hidden":"{$item_hide_search_back_list}"},
				
				
			{"text":"","hidden":"{$item_hide_search_cancel}"},
				
		  ],
  "border": [ false, false, false, false ],
              "alignment": 'left',
  },

											],
		
		]
	}
}
,
			]
}
  